Bug 464223 - ATI driver fails to initialize my dual-head setup properly
ATI driver fails to initialize my dual-head setup properly
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-26 15:17 EDT by Lennart Poettering
Modified: 2008-12-17 17:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-17 17:18:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf, s/radeonhd/radeon/ (610 bytes, application/octet-stream)
2008-09-26 15:17 EDT, Lennart Poettering
no flags Details
Xorg.0.log (70.22 KB, application/octet-stream)
2008-09-26 15:18 EDT, Lennart Poettering
no flags Details
Xorg log with latest versions of ati driver and kernel (807.16 KB, application/octet-stream)
2008-12-03 02:49 EST, Bostjan
no flags Details

  None (edit)
Description Lennart Poettering 2008-09-26 15:17:07 EDT
Created attachment 317830 [details]
xorg.conf, s/radeonhd/radeon/

The newest ATI driver breaks my dualhead RV630 setup: although the driver seems to think it initialized properly, the screens stay black:

xorg-x11-drv-ati-6.9.0-14.fc10.x86_64

readeonhd gets things running properly.

(Do a s/radeonhd/radeon/ in the xorg.conf I am attaching to get the one I used for testing the ati driver)
Comment 1 Lennart Poettering 2008-09-26 15:18:04 EDT
Created attachment 317831 [details]
Xorg.0.log
Comment 2 Lennart Poettering 2008-09-26 15:19:52 EDT
(As a side note: the ati driver from a few week backs in rawhide used to get one screen initialized, the other one stayed black, which is better but not useful either. No idea what package version that was)
Comment 3 Bug Zapper 2008-11-25 22:14:23 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jóhann B. Guðmundsson 2008-12-01 06:37:09 EST
There have been bunch of bug fixes

Could you retest with the latest kernel 
( -132 at the time of this writing )

You can get the latest kernel build here
http://koji.fedoraproject.org/koji/buildinfo?buildID=72270 

And with the latest xorg-x11-drv-ati. 
( -60 at the time of this writing )

You can get the latest xorg-x11-drv-ati build here
http://koji.fedoraproject.org/koji/packageinfo?packageID=95

And report back if it either improves or fixes this issue..

Thanks.
Comment 5 Bostjan 2008-12-03 02:48:26 EST
I am not sure if I can post to this bug or open a new one. I too have an RV630 based card and it also doesn't work with ati (radeon) driver, but works with radeonhd driver. I have installed the latest packages:
xorg-x11-drv-ati-6.9.0-60.fc10.i386 and kernel-2.6.27.7-132.fc10.i686 but the problem still persists. I am able to switch to external screen using the following commands:
xrandr --output LVDS --off
xrandr --output DVI_0 --mode 1600x1200
xrandr -s 1600x1200

But switching back to internal laptop screen doesn't work, the commands are:
xrandr --output DVI_0 --off 
xrandr --output LVDS --mode 1680x1050
xrandr -s 1680x1050
It gives me an error messages:
xrandr: cannot find crtc for output LVDS
Size 1680x1050 not found in available modes

I am attaching Xorg.0.log separately.
Comment 6 Bostjan 2008-12-03 02:49:33 EST
Created attachment 325495 [details]
Xorg log with latest versions of ati driver and kernel
Comment 7 Lennart Poettering 2008-12-17 17:18:35 EST
This works now with the version from Rawhide. However, initialization of the screens is much faster with radeonhd than with ati.

Closing nonetheless.

Note You need to log in before you can comment on or make changes to this bug.